Hotelinformatie
Gegevens voor het paginaframe van de boekingsmodule: contactgegevens en locatie, links naar sociale media, footerteksten (juridische teksten, over het hotel, analytics- en advertentiecodes) en SMTP-instellingen voor bevestigingsmails.
GET
/external/hotel/{hotelID}/contact/infoContactgegevensGET/external/online/social/mediaLinks naar sociale mediaGET/external/online/footerFootertekstenGET/external/online/mail/hostInstellingen e-mailserverContactgegevens#
GET
/external/hotel/{hotelID}/contact/infoAuthenticatie: Authorization: Bearer
Padparameters
hotelIDintegerverplichtHotel-ID.
Antwoord
200 Geslaagd.
Foutantwoorden
- 404 Hotel niet gevonden.
curl "https://test.hms.gen.tr/external/hotel/1000/contact/info" \
-H "Authorization: Bearer $HMS_TOKEN"const res = await fetch("https://test.hms.gen.tr/external/hotel/1000/contact/info", {
headers: {
"Authorization": `Bearer ${process.env.HMS_TOKEN}`
}
});
const data = await res.json();$ch = curl_init('https://test.hms.gen.tr/external/hotel/1000/contact/info');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('HMS_TOKEN'),
],
]);
$data = json_decode(curl_exec($ch), true);{
"title": "Demo Otel",
"phone": "+90 258 000 00 00",
"cellPhone": "+90 555 000 00 00",
"email": "[email protected]",
"www": "https://www.demootel.com",
"address": "Kumsal Cad. No: 12",
"country": "Türkiye",
"countryIng": "Turkey",
"city": "Antalya",
"district": "Muratpaşa",
"latitude": "36.8841",
"longitude": "30.7056"
}Instellingen e-mailserver#
GET
/external/online/mail/hostAuthenticatie: Authorization: Bearer
Geeft de SMTP-instellingen terug die het hotel heeft ingesteld voor bevestigingsmails van online boekingen. Bevat een wachtwoord; gebruik dit alleen aan de serverkant.
Queryparameters
hotelIDintegerverplichtHotel-ID.
Antwoord
200 Geslaagd.
Foutantwoorden
- 200
mail_host_is_not_found— geen SMTP ingesteld;hotel_id_is_not_found.
curl "https://test.hms.gen.tr/external/online/mail/host?hotelID=1000" \
-H "Authorization: Bearer $HMS_TOKEN"const res = await fetch("https://test.hms.gen.tr/external/online/mail/host?hotelID=1000", {
headers: {
"Authorization": `Bearer ${process.env.HMS_TOKEN}`
}
});
const data = await res.json();$ch = curl_init('https://test.hms.gen.tr/external/online/mail/host?hotelID=1000');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('HMS_TOKEN'),
],
]);
$data = json_decode(curl_exec($ch), true);{
"success": true,
"data": {
"transport": "smtp",
"encryption": "tls",
"port": 587,
"host": "smtp.demootel.com",
"user": "[email protected]",
"password": "********"
}
}
Links naar sociale media#
/external/online/social/mediaAuthenticatie:
Authorization: BearerQueryparameters
hotelIDintegerverplichtlimitintegerstandaard:20pageintegerstandaard:1orderstringidof-id.Antwoord
200 Geslaagd.